# Qomon API Hub > Our Qomon Public API & MCP open up limitless possibilities by connecting Qomon to your ecosystem of tools or model to build custom systems on top of Qomon. ## Docs - [Get actions](https://api.qomon.com/api-reference/actions/get-actions.md): Get actions - [Create a contact synchronously.](https://api.qomon.com/api-reference/contacts/create-a-contact-synchronously.md): Create a contact synchronously in the Qomon database. - [Delete a contact by ID synchronously.](https://api.qomon.com/api-reference/contacts/delete-a-contact-by-id-synchronously.md) - [Fully update (REPLACE) an existing contact by id synchronously.](https://api.qomon.com/api-reference/contacts/fully-update-replace-an-existing-contact-by-id-synchronously.md): Update entirely an existing contact by id synchronously in the Qomon database (behaves like PUT). Fully replace an existing contact in the Qomon database. - [Get KPIs about contacts](https://api.qomon.com/api-reference/contacts/get-kpis-about-contacts.md): Returns the count of contacts matching a query. Same query format as `/search` but only returns `{"data": {"total": N}}`. `per_page` is not required and is ignored. - [Search for contacts](https://api.qomon.com/api-reference/contacts/search-for-contacts.md): Search contacts using a flexible query language. Filter by any combination of contact info, address, tags, financial activity (transactions, donations, memberships), email campaign engagement, and custom fields. - [Upsert a contact asynchronously. (Strongly recommended)](https://api.qomon.com/api-reference/contacts/upsert-a-contact-asynchronously-strongly-recommended.md): Upsert a contact asynchronously in the Qomon database. - [Retrieve a form using its ID.](https://api.qomon.com/api-reference/forms/retrieve-a-form-using-its-id.md): Retrieve detailed information about a specific form, including its label, type, and possible refvalues. - [Retrieve forms by their type.](https://api.qomon.com/api-reference/forms/retrieve-forms-by-their-type.md): See all forms of a specific type. - [Delete an invitation.](https://api.qomon.com/api-reference/invitation/delete-an-invitation.md): Delete the invitation with the given invitation id. - [Invite users by their emails.](https://api.qomon.com/api-reference/invitation/invite-users-by-their-emails.md): Send an invitation to the specified mail addresses. Each space has different roles and their corresponding `role_id`. If the mail address is already registered, the user will be added to the space. If the mail address is not registered, the user will be invited to join the space. - [Retrieve all invitations.](https://api.qomon.com/api-reference/invitation/retrieve-all-invitations.md): Get all invitations in the sender-selected space. The list contains both accepted and pending invitations. - [Send a global message to provided teams.](https://api.qomon.com/api-reference/notification/send-a-global-message-to-provided-teams.md): Sends a global message to the specified teams in the sender-selected space. - [Retrieve role collection.](https://api.qomon.com/api-reference/role/retrieve-role-collection.md): Retrieve all roles available in the sender-selected space. - [List code_campaigns](https://api.qomon.com/api-reference/settings-and-configuration/list-code_campaigns.md) - [List donation_prices](https://api.qomon.com/api-reference/settings-and-configuration/list-donation_prices.md) - [List membership_price_groupes](https://api.qomon.com/api-reference/settings-and-configuration/list-membership_price_groupes.md) - [List membership_prices](https://api.qomon.com/api-reference/settings-and-configuration/list-membership_prices.md) - [List transaction statuses](https://api.qomon.com/api-reference/settings-and-configuration/list-transaction-statuses.md) - [Returns transaction settings of the group](https://api.qomon.com/api-reference/settings-and-configuration/returns-transaction-settings-of-the-group.md) - [Create a new team.](https://api.qomon.com/api-reference/team/create-a-new-team.md): Creates a new team. `users` may be an empty array to create an empty team. `leaders` must be a subset of `users`. - [Delete a team.](https://api.qomon.com/api-reference/team/delete-a-team.md): Soft-deletes the team with the given ID. - [Retrieve a team.](https://api.qomon.com/api-reference/team/retrieve-a-team.md): Returns the team with the given ID. - [Retrieve all teams.](https://api.qomon.com/api-reference/team/retrieve-all-teams.md): Returns every team the caller has access to. - [Retrieve public teams.](https://api.qomon.com/api-reference/team/retrieve-public-teams.md): Returns only the public teams the caller has access to. - [Update an existing team (full replace).](https://api.qomon.com/api-reference/team/update-an-existing-team-full-replace.md): Updates the team with the given ID. - [Create a transaction_bundle](https://api.qomon.com/api-reference/transaction-bundles/create-a-transaction_bundle.md): Create a new transaction bundle. A bundle represents a single payment event and groups the financial transaction(s) with the products purchased (memberships, donations, or both). - [Delete a transaction bundle by id](https://api.qomon.com/api-reference/transaction-bundles/delete-a-transaction-bundle-by-id.md) - [Find a transaction_bundle by id](https://api.qomon.com/api-reference/transaction-bundles/find-a-transaction_bundle-by-id.md): Retrieve a specific transaction bundle by its ID, including all associated transactions, memberships, and donations. - [List transaction_bundles](https://api.qomon.com/api-reference/transaction-bundles/list-transaction_bundles.md): Retrieve a paginated list of transaction bundles for the authenticated group. - [Returns the history of the transaction bundle](https://api.qomon.com/api-reference/transaction-bundles/returns-the-history-of-the-transaction-bundle.md): Retrieve the complete change history for a transaction bundle. The history tracks: - Creation and deletion of transactions, memberships, and donations - Status changes for transactions - All modifications made to the bundle and its components - [Update an existing transaction_bundle by id](https://api.qomon.com/api-reference/transaction-bundles/update-an-existing-transaction_bundle-by-id.md): Update an existing transaction bundle. Updates are additive for arrays — items not included in the request remain in the bundle unchanged. - [Edit user's role.](https://api.qomon.com/api-reference/user/edit-users-role.md): Update the role of the user with the given ID. The `role_id` must be provided in the request body. - [Get a user's information.](https://api.qomon.com/api-reference/user/get-a-users-information.md): Retrieve the user with the given ID. - [Remove the given user from the sender-selected space.](https://api.qomon.com/api-reference/user/remove-the-given-user-from-the-sender-selected-space.md): Retrieve the sender-selected space id and remove the user id given in parameter. - [Retrieve all users.](https://api.qomon.com/api-reference/user/retrieve-all-users.md): Returns all users from the sender selected-space. - [Update a user with the given informations.](https://api.qomon.com/api-reference/user/update-a-user-with-the-given-informations.md): Update provided fields for the user with the corresponding ID. The user's email address is mandatory and must be valid. - [Getting started](https://api.qomon.com/pages/v1/getting-started.md) - [Introduction](https://api.qomon.com/pages/v1/intro.md) - [Form Fields in /contacts/upsert](https://api.qomon.com/pages/v1/reference/contacts/contact-form-fields.md): Learn how to correctly structure form fields (consents, level of support, presence status, custom fields, surveys, tasks) when syncing contacts. - [Introduction](https://api.qomon.com/pages/v1/reference/contacts/overview.md) - [Fundraising Overview](https://api.qomon.com/pages/v1/reference/fundraising/overview.md): Manage transactions, memberships, and donations through the Qomon API. - [Search Overview](https://api.qomon.com/pages/v1/reference/search/overview.md): Query contacts using flexible AND/OR conditions across all contact fields, financial activity, and email engagement. - [Introduction](https://api.qomon.com/pages/v1/reference/users/introduction.md) ## OpenAPI Specs - [users-openapi3.0](https://api.qomon.com/src/users-openapi3.0.yaml) - [incoming-openapi3.0](https://api.qomon.com/src/incoming-openapi3.0.yaml) - [donation-membership-transaction-openapi3.0](https://api.qomon.com/src/donation-membership-transaction-openapi3.0.yaml) - [transaction-internal-openapi3.0](https://api.qomon.com/src/transaction-internal-openapi3.0.yaml) - [incoming-actions-openapi3.0](https://api.qomon.com/src/incoming-actions-openapi3.0.yaml) - [openapi-public](https://api.qomon.com/src/huma/openapi-public.json) - [workflows-openapi3.0](https://api.qomon.com/src/workflows-openapi3.0.yaml) - [turfs-openapi3.0](https://api.qomon.com/src/turfs-openapi3.0.yaml) - [stripe-openapi3.0](https://api.qomon.com/src/stripe-openapi3.0.yaml) - [sms-openapi3.0](https://api.qomon.com/src/sms-openapi3.0.yaml) - [settings-openapi3.0](https://api.qomon.com/src/settings-openapi3.0.yaml) - [qomon-openapi3.0](https://api.qomon.com/src/qomon-openapi3.0.yaml) - [online-openapi3.0](https://api.qomon.com/src/online-openapi3.0.yaml) - [onboarding-openapi3.0](https://api.qomon.com/src/onboarding-openapi3.0.yaml) - [oauth2-openapi3.0](https://api.qomon.com/src/oauth2-openapi3.0.yaml) - [members-openapi3.0](https://api.qomon.com/src/members-openapi3.0.yaml) - [mandate-openapi3.0](https://api.qomon.com/src/mandate-openapi3.0.yaml) - [kpi-openapi3.0](https://api.qomon.com/src/kpi-openapi3.0.yaml) - [insights-openapi3.0](https://api.qomon.com/src/insights-openapi3.0.yaml) - [incoming-imports-openapi3.0](https://api.qomon.com/src/incoming-imports-openapi3.0.yaml) - [geocoding-openapi3.0](https://api.qomon.com/src/geocoding-openapi3.0.yaml) - [forms-openapi3.0](https://api.qomon.com/src/forms-openapi3.0.yaml) - [folder-openapi3.0](https://api.qomon.com/src/folder-openapi3.0.yaml) - [filters-openapi3.0](https://api.qomon.com/src/filters-openapi3.0.yaml) - [facts-openapi3.0](https://api.qomon.com/src/facts-openapi3.0.yaml) - [events-openapi3.0](https://api.qomon.com/src/events-openapi3.0.yaml) - [emailer-openapi3.0](https://api.qomon.com/src/emailer-openapi3.0.yaml) - [huma-openapi](https://api.qomon.com/huma-openapi.json) - [openapi](https://api.qomon.com/api-reference/openapi.json)